> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織レベルのACU上限

> 組織の月間Local AgentおよびDevinのACU消費量に上限を設定します

組織レベルの上限では、製品カテゴリごとに、1つの組織に紐づくACU使用量の合計に上限を設定します。

| 上限                              | 対象製品                                         |
| ------------------------------- | -------------------------------------------- |
| **Local Agent** (`local_agent`) | Devin Desktop、Windsurf JetBrains、Devin CLI   |
| **Devin** (`cloud_agent`)       | Devinのクラウドセッション (web app、Slack、その他のインターフェース) |

Enterprise内の各組織には個別の上限を設定できるため、管理者はチームやプロジェクト間で予算を配分できます。web appから組織レベルのDevin上限を管理することもできます。詳しくは[Enterprise billing](/ja/admin/billing/enterprise#setting-organization-acu-limits)を参照してください。

組織レベルの上限は[ユーザーレベルの上限](/ja/admin/billing/user-acu-limits)とは独立しており、どちらか一方の上限に達するとリクエストはブロックされます。このページのすべてのエンドポイントに共通する認証、権限、`PATCH`のセマンティクスについては、[ACU limits](/ja/admin/billing/acu-limits)を参照してください。

<div id="billing-organization-attribution">
  ## 請求先組織の帰属
</div>

各ユーザーのLocal Agent使用量は**請求先組織**に計上され、適用されるLocal Agentの上限がどの組織のものかが決まります。請求先組織は、次の順序で決定されます。

1. **明示的な割り当て:** 管理者がAPIを通じて、ユーザーのACU設定で`billing_org_id`を設定します。
2. **自動解決:** 明示的な割り当てがない場合、直接メンバーシップまたはIdentity Providerのグループ割り当てを通じてユーザーがアクセスできる最初の組織が使用されます。

ユーザーの主要な請求先組織によって、適用される[ローカルエージェントのコントロール](/ja/enterprise/local/controls)も決まります。

明示的な請求先組織の割り当ては、[レガシーユーザーエンドポイント](/ja/admin/billing/legacy-user-acu-limits#user-endpoints)で管理します。ここでの`billing_org_id`フィールドは非推奨ではなく、非推奨なのは上限フィールドのみです。

```bash theme={null}
curl -X PATCH "https://api.devin.ai/v3beta1/enterprise/users/user_abc123/consumption/acu-limits" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"local_agent": {"billing_org_id": "org-xyz789"}}'
```

<div id="organization-endpoints">
  ## 組織エンドポイント
</div>

<div id="get-an-organizations-limits">
  ### 組織の上限を取得する
</div>

```http theme={null}
GET /v3beta1/enterprise/organizations/{org_id}/consumption/acu-limits
```

**レスポンス本文**

```json theme={null}
{
  "local_agent": {
    "cycle_acu_limit": 2000
  },
  "cloud_agent": {
    "cycle_acu_limit": 1000
  }
}
```

その製品カテゴリに limit が設定されていない場合、agent ブロックは省略されます。

<div id="update-an-organizations-limits">
  ### 組織の上限を更新する
</div>

```http theme={null}
PATCH /v3beta1/enterprise/organizations/{org_id}/consumption/acu-limits
```

**リクエストボディ — Local Agent と Devin の上限を設定**

```json theme={null}
{
  "local_agent": {
    "cycle_acu_limit": 2000
  },
  "cloud_agent": {
    "cycle_acu_limit": 1000
  }
}
```

**リクエストボディ — Local Agent の上限のみをクリア**

Devin の上限は変更せず、`local_agent` を `null` に設定します。

```json theme={null}
{
  "local_agent": null
}
```

成功時、エンドポイントは HTTP `204` を返します。

<div id="delete-an-organizations-limits">
  ### 組織の上限を削除する
</div>

組織に設定されているLocal AgentとDevinの両方の上限を解除します。

```http theme={null}
DELETE /v3beta1/enterprise/organizations/{org_id}/consumption/acu-limits
```

このエンドポイントは、成功時に HTTP `204` を返します。

<div id="example-workflows">
  ## ワークフローの例
</div>

<div id="set-up-organization-level-local-agent-limits">
  ### 組織レベルのLocal Agent利用上限を設定する
</div>

Devin Desktop、Windsurf JetBrains、Devin CLIの合計使用量に対する組織レベルの予算を設定します。

```bash theme={null}
curl -X PATCH "https://api.devin.ai/v3beta1/enterprise/organizations/org-xyz789/consumption/acu-limits" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"local_agent": {"cycle_acu_limit": 5000}}'
```

<div id="set-up-organization-level-devin-limits">
  ### 組織レベルのDevin利用上限を設定する
</div>

組織のDevinクラウドセッション予算を設定します。

```bash theme={null}
curl -X PATCH "https://api.devin.ai/v3beta1/enterprise/organizations/org-xyz789/consumption/acu-limits" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"cloud_agent": {"cycle_acu_limit": 1000}}'
```

<div id="frequently-asked-questions">
  ## よくある質問
</div>

<AccordionGroup>
  <Accordion title="請求先組織の帰属とは何ですか？">
    請求先組織の帰属は、ユーザーの Devin Desktop、Windsurf JetBrains、Devin CLI の使用量を、どの組織の Local Agent 上限に計上するかを決定します。明示的に割り当てられていない場合は、ユーザーがアクセスできる最初の組織に自動的に設定されます。
  </Accordion>

  <Accordion title="組織が上限に達するとどうなりますか？">
    上限が調整されるか、次の月次期間に使用量がリセットされるまで、その組織のユーザーは該当カテゴリの製品で新しい作業を開始できません。`local_agent` 上限では Local Agent 製品、`cloud_agent` 上限では Devin クラウドセッションが対象です。
  </Accordion>
</AccordionGroup>
